Subject: Re: [PATCH v3 2/5] setup: allow for prefix to be passed to git commands

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Mar 2017 14:25:32 -0700

Brandon Williams <[email-masked]> writes:

> I don't think that prefix can ever have ".." in it.  From what I
> understand it is always a path from the root of the repository to the
> cwd that the git command was invoked by.  So in your example prefix
> would be "src/".

The prefix would be NULL or "", as you will be at the root-level of
the working tree when you are running _IN_ the submodule (by
recursing into it).  Not src/, nor anything with ../ in it, I would
think.